import React, { useRef, useEffect } from "react";
/* global google */

const MapComponent = () => {
  const mapDivRef = useRef(null);
  useEffect(() => {
    const googleMap = new google.maps.Map(mapDivRef.current, {
      center: { lat: 25, lng: -25 },
      zoom: 0,
    });
    console.log("Created Map");
  });

  return (
    <div style={{ 
        height: "100%",
        display: "flex",
        flexDirection: "column",
        justifyContent: "center",
      }} 
      ref={mapDivRef}
    />
  );
}

export default MapComponent;
